Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7534 - ppp should not change resolv.conf if machine is a server
Summary: ppp should not change resolv.conf if machine is a server
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-03 10:28 UTC by Richard Ames
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-06 19:23:34 UTC


Attachments (Terms of Use)

Description Richard Ames 1999-12-03 10:28:21 UTC
The changing of the resolve.conf file by ppp (using usepeerdns) is
probably good for the average setup...

When the system is runing named as a primary server, it is dumb.....

You should check first...

Comment 1 Michael K. Johnson 1999-12-06 19:23:59 UTC
Parse named config files in our ifup-post shell script?  I don't
think so...

You can set
PEERDNS=no
in your /etc/sysconfig/network-scripts/ifcfg-ppp* files, as
documented in /usr/doc/initscripts-*/sysconfig.txt
and that will solve the problem for you.


Note You need to log in before you can comment on or make changes to this bug.